/*###############################################################################
# Exemplo Hello World - Setup de Plataforma (DevKIT: DOIT ESP32 DEVKIT V1)
# Pisca o LED da placa em intervalos de 1 segundo (500ms ON / 500ms OFF)
# Exemplo para entender o fluxo de criação de um projeto no Platformio com VSCode
# Por: Prof. Dr. Paulo Denis Garcez da Luz
# http://www.elf74.daeln.com.br
###############################################################################*/

//Inclusão de biblioteca Arduino
#include <Arduino.h>

 /* Mapeamento de Pinos */ 
#define LEDBUILTIN 2
#define PUSHBUTTON 12
#define LEDPCBEXT1 14
#define ADCPOTPIN1 34

//Função setup 
void setup()
{
  /* configura pino 2 e 14 como saída*/
  pinMode(LEDBUILTIN,OUTPUT);
  pinMode(LEDPCBEXT1,OUTPUT);
  /* desliga os Leds da PCB */
  digitalWrite(LEDBUILTIN,LOW);
  digitalWrite(LEDPCBEXT1,LOW);
  /* configura comunicação serial com baudrate de 115200 */
  Serial.begin(115200);
}

//Função Loop
void loop()
{
  digitalWrite(LEDBUILTIN,HIGH);                                //liga LED
  delay(500);                                                   //espera 0,5 s
  digitalWrite(LEDBUILTIN,LOW);                                 //desliga LED
  delay(500);                                                   //espera 0,5 s
  Serial.println("Hello World DevKIT: DOIT ESP32 DEVKIT V1");   // imprime mensagem na serial
}